* Chapter 12.
* 2010-12-8.

clear all
version 10
cap do close
cap log close
set more off

cd D:\Regression\chap12

log using chap12.log, text replace
use chip88.dta, clear

* ԱŮ=1=0лع.

label define gender 0 "male" 1 "female"
label values sex gender
tab sex
tab sex, nolabel

reg logearn sex

* Ա()޶лع ͼ12-1.

reg logearn exp sex

gen yhat0=_b[_cons]+_b[exp]*exp+_b[sex]*0  /* ֵsex=0 */
gen yhat1=_b[_cons]+_b[exp]*exp+_b[sex]*1  /* Ůֵsex=1 */

twoway (line yhat0 exp if sex==0, lpattern(solid) lwidth(medthick)) ///
  (line yhat1 exp if sex==1, lpattern(longdash) lwidth(medthick)), ///
  ytitle("LOGEARN") ylabel(7.07 7.27 7.48 7.68 7.88) ///
  xtitle("EXP") xlabel(0 11.25 22.50 33.75 45.00) ///
  legend(order(1 "SEX=0" 2 "SEX=1") region(lstyle(none)) ring(2) ///
  position(11)) saving(Figure12-1.gph, replace) 

* Ա()н()޶лع ͼ12-2.

gen senior=edu>9 /* н */
format senior %2.0f
label variable senior "High School"
label define yesno 0 "no" 1 "yes"
label values senior yesno

reg logearn exp sex senior 

gen yhat00=_b[_cons]+_b[exp]*exp+_b[sex]*0+_b[senior]*0  /* sex=0 & senior=0 */
gen yhat01=_b[_cons]+_b[exp]*exp+_b[sex]*0+_b[senior]*1  /* sex=0 & senior=1 */
gen yhat10=_b[_cons]+_b[exp]*exp+_b[sex]*1+_b[senior]*0  /* sex=1 & senior=0 */
gen yhat11=_b[_cons]+_b[exp]*exp+_b[sex]*1+_b[senior]*1  /* sex=1 & senior=1 */

twoway (line yhat00 exp if (sex==0 & senior==0), lpattern(solid) lwidth(medthick)) ///
  (line yhat01 exp if (sex==0 & senior==1), lpattern(longdash) lwidth(medthick))   ///
  (line yhat10 exp if (sex==1 & senior==0), lpattern(dash) lwidth(medthick))       ///
  (line yhat11 exp if (sex==1 & senior==1), lpattern(dot) lwidth(medthick)),       ///
  ytitle("LOGEARN") ylabel(7.05 7.24 7.44 7.64 7.84) xtitle("EXP") xlabel(6(7)34)  ///
  legend(order(1 "SEX=0,SENIOR=0" 2 "SEX=0,SENIOR=1"    ///
               3 "SEX=1,SENIOR=0" 4 "SEX=1,SENIOR=1")   ///
  region(lstyle(none)) ring(0) position(11) col(1))     ///
  saving(Figure12-2.gph, replace) 

* ԱԱ֮ת.

gen exp2=exp*exp /* ½ƽ */

  // ģ(12-19).

xi: reg logearn exp exp2 sex i.edu  /* eduΪ */ 
 
 // ģ(12-20).

reg logearn exp exp2 sex edu  /* eduΪ */

 // תǶģF.

disp "F = " ((2190.70589-2190.09318)/(15857-15851))/(2190.09318/15851)


******************End-Of-Dofile*****************

clear
log close

