* Chapter 14.
* 2010-12-8.

clear all
version 10
cap do close
cap log close
set more off

cd D:\Regression\chap14

log using chap14.log, text replace
use chip88.dta,clear

* ĳͶвɢͼС˹ƣ.

reg logearn exp
predict yhat
gen res=logearn-yhat
gen res_2=res^2
scatter res_2 exp, saving(Figure14-2.gph, replace)

* CHIP88ݵļȨС˹.

egen m_edu=mean(edu), by(geo)
egen m_logearn=mean(logearn), by(geo)
egen weight=count(logearn) if edu!=.&logearn!=., by(geo)
by m_logearn, sort: gen nvals_m_logearn = _n == 1
reg logearn edu
reg m_logearn m_edu if nvals_m_logearn, robust
gen m_logearn_star=m_logearn*sqrt(weight)
gen m_edu_star=m_edu*sqrt(weight)
gen const=sqrt(weight)
reg m_logearn_star m_edu_star const if nvals_m_logearn, nocon
reg m_logearn m_edu [aweight=weight] if nvals_m_logearn

* ݵļȨС˹.

use wls.dta, clear
reg y x
reg y x1, robust
gen y2=y*sqrt(n)   
gen x2=x*sqrt(n)
gen const=sqrt(n)
gen x1_2=x1*sqrt(n)
reg y2 x1_2 const, noc
reg y x1 [aweight=n]

****************End-Of-Dofile******************

clear
log close


