* Chapter 18.
* 2010-02-13.


clear all
version 10
cap do close
cap log close
set more off

cd D:\Regression\chap18

log using chap18.log, text replace

* ͼ18-1 Logitģ͵ĸʺ.

drop _all
set obs 101
egen z=fill(-5.0 -4.9)
gen p=exp(z)/(1+exp(z))
graph twoway ///
  (scatter p z,connect(l) clwidth(medthick) clpattern(solid) ///
  mcolor(black) msymbol(O)), ///
  xlab(-5(1)5) ylab(0(.1)1) xtick(-5(.2)5)
graph save Figure18-1.gph,replace


// ͼ18-2 probitģ͵ĸʺ.

drop _all
set obs 101
egen z=fill(-5.0 -4.9)
gen p=normal(z)
graph twoway ///
  (scatter p z,connect(l) clwidth(medthick) clpattern(solid) ///
  mcolor(black) msymbol(i)), ///
  xlab(-5(1)5) ylab(0(.1)1) xtick(-5(.2)5)
graph save Figure18-2.gph,replace

// ͼ18-3 LogitתProbitתıȽ.
  
drop _all
set obs 101
egen z=fill(-5.0 -4.9)
gen p=normal(z)
gen l=exp(z)/(1+exp(z))
graph twoway ///
  (scatter z p,connect(l) clwidth(medthick) clpattern(solid) ///
  mcolor(black) msymbol(i)) ///
  (scatter z l,connect(l) clwidth(medthick) clpattern(solid) ///
  mcolor(black) msymbol(O)), ///
  legend (label(1 "probit") label(2 "logit") cols(1)  ///
  ring(0) position(11)) ///
  ylab(-5(1)5) yline(0) xlab(0(.1)1) b1("p")
graph save Figure18-3.gph,replace

****************************End-Of-Dofile****************************

clear
log close
