* Chapter 8.
* 2010-12-5.

clear all
version 10
cap do close
cap log close
set more off

cd D:\Regression\chap8

log using chap8.log, text replace
use chip88.dta, clear

* γ.

gen age=edu
replace age=exp+14 if edu<9
replace age=exp+16 if edu==9
replace age=exp+19 if edu==12
replace age=exp+20 if edu==13
replace age=exp+22 if edu==15
replace age=exp+24 if edu==17
drop if age>30

* ģһ.

reg logearn edu cpc
predict yresid, residual

* ģͶ.

reg age edu cpc
predict x3resid, residual

* ģ.

reg yresid x3resid

* ģ.

reg logearn edu cpc age

* ƫعͼ.

twoway (scatter yresid x3resid,msymbol(Oh)) (lfit yresid x3resid,lwidth(medthick)), ///
  legend(order(1 "Residuals" 2 "Fitted values") region(lstyle(none)) ///
  ring(0) position(11)) saving(Figure8-4.gph, replace)

*****************End-Of-Dofile*****************

clear
log close
