* Chapter 11.
* 2010-12-8.

clear all
version 10
cap do close
cap log close
set more off

cd D:\Regression\chap11

log using chap11.log, text replace
use chip88.dta, clear

* ͼ11-2  Ķ빤Ķζʽعͼ.

gen exp22=exp*exp /* ½ƽ */
gen edusex=edu*sex  /* ½Ա𽻻 */
reg logearn edu exp exp22 cpc sex  edusex /* ϶ζʽع */

sum edu exp exp22 cpc sex edusex  /* Աͳ */
gen yhat=_b[_cons]+_b[edu]*10.67123+_b[exp]*exp+_b[exp22]*exp22 ///
        +_b[cpc]*0.239188+_b[sex]*0.4782499+_b[edusex]*4.90266 
label variable yhat "Fitted values"
sort exp
twoway (scatter logearn exp, msymbol(Oh)) ///
  (line yhat exp, sort(exp) lwidth(medthick)), ///
  legend(order(1 "logearn" 2 "Fitted values") region(lstyle(none)) ///
  ring(2) position(11)) saving(Figure11-2.gph,replace) 

* ʽģ͵ƶ: ζʽعģ͵ļ.

reg logearn edu exp exp22 cpc sex  edusex  /* 11-12a: model 1 */
reg logearn edu cpc sex edusex  /* 11-12a: model 2 */

disp "F = " ((2663-2162)/2)/(2162/15855)

* ʽģ͵ƶ: ζʽģжϵļ.

reg logearn edu exp exp22 cpc sex  edusex   /* 11-13a: model 1 */
reg logearn edu exp cpc sex  edusex     /* 11-13b: model 2 */

disp "F = " ((2263-2162)/1)/(2162/15855)

* ʽģ͵ƶ: ζʽģʵԼ

gen exp33=exp*exp*exp /* η */
reg logearn edu exp exp22 exp33 cpc sex  edusex  /* 11-14 */

disp "F = " ((2162-2159)/(15855-15854))/(2159/15854)

* ع.

mkspline exp1 0 exp2 4 exp3 9 exp4 14 exp5 19 exp6 24  ///
  exp7 29 exp8 34 exp9 39 exp10 45 exp11=exp /* 趨splineĽڵ */
reg logearn edu cpc sex  edusex exp1-exp11

* ͼ11-4  ͹ֱعͼ.

twoway (scatter logearn exp, msymbol(O) msize(*.5))  ///
  (mspline logearn exp, bands(8) lwidth(medthick)), ///
  legend(order(1 "logearn" 2 "Median spline") region(lstyle(none)) ///
  ring(2) position(11)) saving(Figure11-4.gph, replace)

* Ծģ(ע:ҪȶݽԤ.

  // Ԥ .

use chip88.dta, clear
collapse (mean) logearn, by(exp)
rename logearn mlogearn
sort exp
save mlogearn.dta,replace

use chip88.dta, clear
recode exp (0/4=0) (5/9=5) (10/14=10) (15/19=15) (20/24=20) ///
  (25/29=25) (30/34=30) (35/39=35) (40/45=40), gen(exp5) 
collapse (mean) logearn, by(exp5)
rename logearn fmlogearn
save 5mlogearn.dta,replace

use chip88.dta, clear
sort exp
merge exp using mlogearn.dta
drop _merge

  // ͼ11-6 .

twoway (scatter logearn exp, msize(*.5) msymbol(O)) ///
  (line mlogearn exp, connect(stairstep) lwidth(medthick)), ///
  legend(order(1 "logearn" 2 "(mean)logearn") region(lstyle(none)) ///
  ring(2) position(11)) saving(Figure11-6a.gph, replace)  /* ͼ11-6ϲ */

twoway line mlogearn exp, connect(stairstep) lwidth(medthick) ///
  saving(Figure11-6b.gph, replace)  /* ͼ11-6² */

  // ͼ11-7 .

recode exp (0/4=0) (5/9=5) (10/14=10) (15/19=15) (20/24=20) ///
 (25/29=25) (30/34=30) (35/39=35) (40/45=40), gen(exp5) 
sort exp5
merge exp5 using 5mlogearn.dta

scatter logearn exp, msize(*.5)||line fmlogearn exp, connect(stairstep)
twoway (scatter logearn exp, msize(*.5) msymbol(O)) ///
  (line fmlogearn exp, connect(stairstep) lwidth(medthick)), ///
  legend(order(1 "logearn" 2 "(mean)logearn") region(lstyle(none)) ///
  ring(2) position(11)) saving(Figure11-7a.gph, replace)  /* ͼ11-7ϲ */

twoway line fmlogearn exp, connect(stairstep) lwidth(medthick) ///
  saving(Figure11-7b.gph, replace)  /* ͼ11-7² */


* ϽԾģ.

gen exp22=exp*exp
gen edusex=edu*sex

reg logearn edu exp exp22 cpc sex edusex /* ζʽģ11-12a */
xi: reg logearn edu i.exp  cpc sex edusex 

disp "F = " ((2162-2149)/(15855-15812))/(2149/15812)

******************End-Of-Dofile*****************

clear
log close

