* Chapter 13.
* 2010-12-8.

clear all
version 10
cap do close
cap log close
set more off

cd D:\Regression\chap13

log using chap13.log, text replace
use chip88.dta, clear

* عģĽ.

label define gender 0 "male" 1 "female"
label values sex gender
tab sex
tab sex, nolabel

gen senior=edu>9 /* н */
format senior %2.0f
label variable senior "High School"
label define yesno 0 "no" 1 "yes"
label values senior yesno
tab senior
tab senior, nolabel

gen ss=sex*senior /*  */

reg logearn exp sex senior ss


* عģĽ ͼ13-1.

gen expsex=exp*sex

reg logearn exp sex senior expsex

   // ͼ13-1.

gen yhat00=_b[_cons]+_b[exp]*exp+_b[sex]*0+_b[senior]*0+_b[expsex]*0*exp  /* sex=0 & senior=0 */
gen yhat01=_b[_cons]+_b[exp]*exp+_b[sex]*0+_b[senior]*1+_b[expsex]*0*exp  /* sex=0 & senior=1 */
gen yhat10=_b[_cons]+_b[exp]*exp+_b[sex]*1+_b[senior]*0+_b[expsex]*1*exp  /* sex=1 & senior=0 */
gen yhat11=_b[_cons]+_b[exp]*exp+_b[sex]*1+_b[senior]*1+_b[expsex]*1*exp  /* sex=1 & senior=1 */

twoway (line yhat00 exp if (sex==0 & senior==0), lpattern(solid) lwidth(medthick)) ///
  (line yhat01 exp if (sex==0 & senior==1), lpattern(longdash) lwidth(medthick))   ///
  (line yhat10 exp if (sex==1 & senior==0), lpattern(dash) lwidth(medthick))       ///
  (line yhat11 exp if (sex==1 & senior==1), lpattern(dot) lwidth(medthick)),       ///
  ytitle("LOGEARN") ylabel(7.08 7.27 7.47 7.66 7.86) xtitle("EXP") xlabel(6(7)34)  ///
  legend(order(1 "SEX=0,SENIOR=0" 2 "SEX=0,SENIOR=1"    ///
               3 "SEX=1,SENIOR=0" 4 "SEX=1,SENIOR=1")   ///
  region(lstyle(none)) ring(0) position(11) col(1))     ///
  saving(Figure13-1.gph, replace) 

   // ȫµĻع .

reg logearn exp sex senior ss expsex


* عģɵĽ.

gen expgr=exp*gross_d
reg logearn exp gross_d expgr /* ģ13-23 */ 

gen exp2=exp*exp
reg logearn exp exp2 sex senior  /* ģ13-25*/ 

* Ƕģͼ齻Ĵ 13-2.

gen y=logearn
gen x1=exp
gen x2=sex

gen x3=1 if geo==4401      /* 1ʾݣ0ʾ */
replace x3=0 if geo==1101  /* 1ʾݣ0ʾ */

gen x1x2=x1*x2
gen x2x3=x2*x3
gen x1x3=x1*x3

reg y                         /* ģ0 */
reg y x1 x2                   /* ģ1 */
reg y x1 x2 x3                /* ģ2 */
reg y x1 x2 x3 x1x2           /* ģ3 */
reg y x1 x2 x3 x2x3           /* ģ4 */
reg y x1 x2 x3 x1x3           /* ģ5 */
reg y x1 x2 x3 x1x3 x2x3      /* ģ6 */

   // x1x2ĽǷ .

disp "F = " ((202.164-202.009)/(1368-1367))/(202.009/1367)

   // x1x3ĽǷ .

disp "F = " ((202.164-201.466)/(1368-1367))/(201.466/1367)

* ʹ֮Ĺ⴦ .

sum exp edu
gen exp_center=exp-19.719  /*  */
gen edu_center=edu-10.671  /*  */
gen cen_edu_exp=exp_center*edu_center
gen edu_exp=exp*edu

twoway scatter edu_exp exp, msymbol(O) saving(Figure13-2A.gph, replace)
twoway scatter cen_edu_exp exp_center, msymbol(O) saving(Figure13-2B.gph, replace)


******************End-Of-Dofile*******************

clear
log close