* Chapter 15.
* 2010-12-8.

clear all
version 10
cap do close
cap log close
set more off

cd D:\Regression\chap15

log using chap15.log, text replace

***************
*׷ݷ.
*****************

use clhls.dta, clear

   // ѡȡȤɱ.

keep id posit* vage* adl*

   // ɸѡ.

codebook posit*, tab(99)
codebook vage*, tab(99)
codebook adl*, tab(99)
drop if adl3>18|posit0>20|posit1>20|posit2>20|posit3>20|vage0<80

  // ʾʽݵĽṹ.

list id posit* vage* adl* in 1/3, noobs

  // ؽṹ.

corr posit*
corr adl*

  // ʽתɳʽ.

reshape long posit vage adl, i(id) j(occasion)
rename posit pv
rename vage age
order id occasion pv age adl

  // ʾʽݵĽṹ.

list id occasion pv age adl in 1/12, sepby(id) noobs

  // ͬԽؾͬбģ, ʽ(15-14).

reg pv age adl

  // 鿴вؽṹ, 15-3.

predict e, residual
preserve 
keep id e occasion
reshape wide e, i(id) j(occasion)
corr e*
restore 

  // ؾģ, ʽ(15-15).

xtreg pv age adl, i(id) mle nolog

  // ЧӦ, ʽ(15-16).

xtreg pv age adl, i(id) be

  // ЧӦ,ʽ(15-17).

xtreg pv age adl, i(id) fe

**************
* Ʒ.
**************

use chip.dta, clear

  // ʱģ, ʽ(15-18).

reg  logearn  educ expwk expwk2 cpc sex sexed if wave2==0

  // ͳ.

sum  educ expwk expwk2 cpc sex sexed if wave2==0

  // ,õзӳӰԤֵ:1988.

gen yhat88=_b[_cons]+_b[educ]*10.76647+_b[expwk]*expwk+_b[expwk2]*expwk2 ///
          +_b[cpc]*0.23896 +_b[sex]*0.4782305 +_b[sexed]*4.966395

  // CHIP95ʱģ,ʽ(15-18)

reg logearn educ expwk expwk2 cpc sex sexed if wave2==1

  // CHIP95õͳ.

sum educ expwk expwk2 cpc sex sexed if wave==1

  // ,õзӳӰԤֵ:1995.

gen yhat95=_b[_cons]+_b[educ]*11.94639+_b[expwk]*expwk+_b[expwk2]*expwk2 ///
          +_b[cpc]*0.2453556 +_b[sex]*0.4694798 +_b[sexed]*5.461916 

  // 19881995ϻعģ, ʽ(15-20).

gen w2educ=wave2*educ
gen w2expwk=wave2*expwk
gen w2expwk2=wave2*expwk2
gen w2cpc=wave2*cpc
gen w2sex=wave2*sex
gen w2sexed=wave2*sexed

reg logearn educ expwk expwk2 cpc sex sexed wave2 w2educ w2expwk ///
  w2expwk2 w2cpc w2sex w2sexed

  // Ԥֵyhat88yhat95Ժϲ,õyhat.
 
gen yhat=yhat88
replace yhat=yhat95 if wave2==1

  // ͼ15-1 رӰ.

separate yhat, by(wave2)
label var expwk "()"
label var yhat0 "1988ֵ"
label var yhat1 "1995ֵ"
twoway (scatter yhat0 expwk,msymbol(O) msize(medium)) ///
  (scatter yhat1 expwk, msymbol(T) msize(medium)), ///
  note("ע˽ԱԱԱӰ졣") ytitle("") ///
  legend(order(1 "1998ֵ" 2 "1995ֵ")  ///
  region(lstyle(none)) ring(0) position(5) col(1)) ///
  saving(Figure15-1.gph, replace)

drop yhat*

  // ͼ15-2  ܽرԱ: 19881995.

reg  logearn  educ expwk expwk2 cpc sex sexed if wave2==0
sum  educ expwk expwk2 cpc sex sexed if wave==0
gen yhat88=_b[_cons]+_b[educ]*educ+_b[expwk]*19.23562+_b[expwk2]*473.3146 ///
          +_b[cpc]*0.23896 +_b[sex]*sex+_b[sexed]*sexed 

reg  logearn  educ expwk expwk2 cpc sex sexed if wave2==1
sum  educ expwk expwk2 cpc sex sexed if wave==1
gen yhat95=_b[_cons]+_b[educ]*educ+_b[expwk]*19.65618 +_b[expwk2]*480.1432 ///
          +_b[cpc]* 0.2453556 +_b[sex]*sex+_b[sexed]*sexed 

label var educ "ܽ"
sum educ

gen yhat= yhat88
replace yhat= yhat95 if wave2==1

separate yhat, by(wave2)
separate yhat0, by(sex)
separate yhat1, by(sex)

label var yhat00 "1988꣬"
label var yhat01 "1988꣬"
label var yhat10 "1995꣬"
label var yhat11 "1995꣬Ů"
label var yhat01 "1988꣬Ů"

twoway (lfit yhat00 educ, lpattern(dash) lwidth(medthick)) ///
  (lfit yhat01 educ, lpattern(dash_dot) lwidth(medthick)) ///
  (lfit yhat10 educ, lpattern(solid) lwidth(medthick)) ///
  (lfit yhat11 educ, lpattern(dot) lwidth(medthick)), ytitle("") ///
  legend(order(1 "1988꣬" 2 "1988꣬Ů" 3 "1995꣬" 4 "1995꣬Ů") ///
  region(lstyle(none)) ring(0) position(11) col(2)) ///
  ylabel(7 (0.1) 8.2) xlabel(4(1)17) note("ע˹͵ԱӰ졣") ///
  saving(Figure15-2.gph, replace)

*********************End-Of-Dofile*******************

clear
log close


